summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-07-03 07:46:08 +0200
committerHans de Graaff <graaff@gentoo.org>2016-07-03 07:46:08 +0200
commit2c3afefb016cf3dbc4aaab0ace10c2d16e581b85 (patch)
tree629550edd38905e3eb507efe70284dd34df1ad92
parentdev-ruby/ammeter: add ruby22 (diff)
downloadgentoo-2c3afefb016cf3dbc4aaab0ace10c2d16e581b85.tar.gz
gentoo-2c3afefb016cf3dbc4aaab0ace10c2d16e581b85.tar.bz2
gentoo-2c3afefb016cf3dbc4aaab0ace10c2d16e581b85.zip
dev-ruby/rspec-support: add rspec 3.5
Package-Manager: portage-2.2.28
-rw-r--r--dev-ruby/rspec-support/Manifest1
-rw-r--r--dev-ruby/rspec-support/rspec-support-3.5.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-ruby/rspec-support/Manifest b/dev-ruby/rspec-support/Manifest
index a702ca12bb8..8255e7236e1 100644
--- a/dev-ruby/rspec-support/Manifest
+++ b/dev-ruby/rspec-support/Manifest
@@ -1,3 +1,4 @@
DIST rspec-support-3.3.0-git.tgz 45380 SHA256 cea58331f616e407c4ee25bb0b74bad26dbdc793fd341010d37749dea15e30a2 SHA512 88f0fdbc7609093c8f14bff220a03d0788847315e5ac73c025cd181d84a3ac120c294aca8ffff9a0c11c9f11e35019dc337f9e43fc2c33cabe4856d87e36fa1e WHIRLPOOL 6f355bb1dc71bbb7804fd3d4a4227042bbe0d166ef336e4121730abce52e1596b25b94ae38e72a6284ca2eac6d0eb6146a02f54d08792b1ff5a6320d40524a2a
DIST rspec-support-3.4.0-git.tgz 55405 SHA256 07826d61234ab87ff935c74ce15b5b96a2cc5ad0c66e6aea2ebe906f986081c0 SHA512 a309e86b57c6c0e89c39f9bccf01479a1ef42b51017d4e012de4a223a3d6d7f348362c4b5da3bdaafaf53564761b1c8d4e3d19e1a058923116b40f086a6eb9b7 WHIRLPOOL 62a5c1be1b4fb1ca39965826c1a3ab10af74c6b10c89a37677dc737d10baf9d99c9f73742145ee42f6b06206aabe43710a83014feff8df3d27e70458ed660707
DIST rspec-support-3.4.1-git.tgz 55558 SHA256 e5e641ee3e42d8e7bd33927d8b5388f8a4a85f9c3204fbbe29675a8f6fa14116 SHA512 7318d8701d4e38dc9be5b2633c8acbe7d329f9b713da90b8307570b952ede435d2e0f0dcf42e6692491df8a54b81dc8908250739d3916cf11068d37d7b906b40 WHIRLPOOL 4ad29f8e1ff586cf3fe92b74813a17c62e3cc5556a1f66298c6d97f5f8803bddd762289b9fcf3f14efef6142dab010ed5208579a493d41d09d1a947c706659cb
+DIST rspec-support-3.5.0-git.tgz 59824 SHA256 856a052e7fd6d3a368c543580528495e660bb1ce403333001ba4be48e39a518f SHA512 246d86c131dae12d6ca9040dba800ea5e378cfce083b1840492cc2c968e4d17fe67617332aa77d46817356113f81d8d9584698e4fe9e4873291d18ebe04eacbc WHIRLPOOL ed288c0681b14670e6bbb43c5672d7240c408e98be2927b32d38eb330b5b941d2169c4d3c30b1a0c7f715554f4f67d5399451da466a4a15f4c90c9ce208313b1
diff --git a/dev-ruby/rspec-support/rspec-support-3.5.0.ebuild b/dev-ruby/rspec-support/rspec-support-3.5.0.ebuild
new file mode 100644
index 00000000000..a4f52c15877
--- /dev/null
+++ b/dev-ruby/rspec-support/rspec-support-3.5.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-support"
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( >=dev-ruby/rspec-3.5.0:3 )"
+
+all_ruby_prepare() {
+ sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Remove spec that, by following symlinks, tries to scan pretty much
+ # the whole filesystem.
+ rm spec/rspec/support/caller_filter_spec.rb || die
+
+ # Avoid a spec requiring a specific locale
+ sed -i -e '/copes with encoded strings/ s/RSpec::Support::OS.windows?/true/' spec/rspec/support/differ_spec.rb || die
+}